Skip to main content
GET
/
api
/
v2
/
external
/
inference
/
get
Get Dedicated Deployment
curl --request GET \
  --url https://api.lyceum.technology/api/v2/external/inference/get \
  --header 'Authorization: Bearer <token>'
{
  "deployment_id": "<string>",
  "hf_model_id": "<string>",
  "hardware_profile": "<string>",
  "min_replicas": 123,
  "max_replicas": 123,
  "current_replicas": 123,
  "status": "<string>",
  "created_at": "<string>",
  "updated_at": "<string>",
  "replicas": [
    {
      "replica_id": "<string>",
      "status": "<string>",
      "created_at": "<string>",
      "updated_at": "<string>",
      "healthy": true,
      "last_health_check": "<string>",
      "node_id": "<string>"
    }
  ],
  "desired_replicas": 123,
  "target_rps": 123,
  "target_latency_p95_ms": 123,
  "stabilisation_window": 123
}

Authorizations

Authorization
string
header
required

Pass an API key (prefixed lk_) or a JWT access token as a bearer token. Generate API keys in the dashboard at https://dashboard.lyceum.technology/api-keys.

Headers

authorization
string | null
X-User-Id
string | null

Query Parameters

deployment_id
string
required
include_terminated
boolean
default:false

Response

Successful Response

Response body for GET /api/v2/external/inference/get.

deployment_id
string
required
hf_model_id
string
required
hardware_profile
string
required
min_replicas
integer
required
max_replicas
integer
required
current_replicas
integer
required
status
string
required
created_at
string
required
updated_at
string
required
replicas
DeployReplicaInfo · object[]
required
desired_replicas
integer | null
target_rps
number | null
target_latency_p95_ms
number | null
stabilisation_window
integer | null